My Oracle Support Banner

PLS-00201 'SYS.WM$CONVERTDBVERSION' must be declared, WMSYS.OWM_VALIDATE is invalid after upgrade from 10g to 11g (Doc ID 1512485.1)

Last updated on JANUARY 21, 2020

Applies to:

Workspace Manager - Version 11.2.0.3 and later
Information in this document applies to any platform.

Goal

How to fix the invalid procedure below after upgrade from 10g to 11g

QL> set serveroutput on
SQL> alter procedure WMSYS.OWM_VALIDATE compile;

Warning: Procedure altered with compilation errors.

SQL> show error
Errors for PROCEDURE WMSYS.OWM_VALIDATE:

LINE/COL ERROR
-------- -----------------------------------------------------------------
9/4 PL/SQL: Statement ignored
9/19 PLS-00201: identifier 'SYS.WM$CONVERTDBVERSION' must be declared
 

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.